parport_claim
Prev | Chapter 20. Parallel Port Devices | Next

## Name

parport_claim — claim access to a parallel port device

## Synopsis

`int parport_claim (` | struct pardevice * | dev`)`;

## Arguments

`dev`

  pointer to structure representing a device on the port

## Description

This function will not block and so can be used from interrupt context. If `parport_claim` succeeds in claiming access to the port it returns zero and the port is available to use. It may fail (returning non-zero) if the port is in use by another driver and that driver is not willing to relinquish control of the port.

Prev | Up | Next
parport_find_base | Home | parport_claim_or_block